# Experiment time: 06:04:2010 - 12:40:00

# Manufacturer ID: Aladdin Ltd.                    
# Library Description: eToken PKCS#11                  
# Cryptoki Version: 2.01
# Library Version: 5.01



# KEY TYPES
$supports_symmetric_keys =  1;
$supports_asymmetric_keys =  1;

# FUNCTIONS
@functions = ( 'wrap', 'unwrap', 'encrypt', 'decrypt', 'create_object');

# MODES
@wrap_modes = ( 'symmetric, sensitive / symmetric, sensitive', 'symmetric, sensitive / symmetric, nonsensitive', 'symmetric, nonsensitive / symmetric, sensitive', 'symmetric, nonsensitive / symmetric, nonsensitive', 'symmetric, sensitive / asymmetric, nonsensitive', 'symmetric, nonsensitive / asymmetric, nonsensitive');
@unwrap_modes = ( 'symmetric, sensitive / symmetric, sensitive', 'symmetric, nonsensitive / symmetric, sensitive', 'symmetric, sensitive / symmetric, nonsensitive', 'symmetric, nonsensitive / symmetric, nonsensitive', 'symmetric, sensitive / asymmetric, sensitive', 'symmetric, nonsensitive / asymmetric, sensitive', 'symmetric, sensitive / asymmetric, nonsensitive', 'symmetric, nonsensitive / asymmetric, nonsensitive');
@encrypt_modes = ( 'symmetric, sensitive', 'symmetric, nonsensitive', 'asymmetric, sensitive', 'asymmetric, nonsensitive');
@decrypt_modes = ( 'symmetric,sensitive', 'symmetric,nonsensitive', 'asymmetric,sensitive', 'asymmetric,nonsensitive');

# ATTRIBUTES
@attributes = ( 'sensitive', 'extract', 'wrap', 'unwrap', 'encrypt', 'decrypt');

# ALWAYS ON / OFF ATTRIBUTES
@always_on_asymmetric = ( 'sensitive');
@always_off_asymmetric = ( 'extract');
@always_on_symmetric = ( );
@always_off_symmetric = ( );

# SICKY ON / OFF ATTRIBUTES
@sticky_on_asymmetric = ( 'sensitive', 'extract');
@sticky_off_asymmetric = ( 'sensitive', 'extract');
@sticky_on_symmetric = ( 'sensitive');
@sticky_off_symmetric = ( 'extract');

# CONFLICTS ATTRIBUTES
@conflict_symmetric = ( );
@conflict_asymmetric = ( );

# TIED ATTRIBUTES
@tied_symmetric = ( 'sensitive,always_sensitive', 'extract,never_extract');
@tied_asymmetric = ( 'extract,never_extract');

# FLAGS
$sensitive_prevents_read =  1;
$unextractable_prevents_read =  1;

