# Experiment time: 06:04:2010 - 12:08:39

# Manufacturer ID: Eracom Pty. Ltd.                
# Library Description: Software Only                   
# Cryptoki Version: 2.10
# Library Version: 3.28



# KEY TYPES
$supports_symmetric_keys =  1;
$supports_asymmetric_keys =  1;

# FUNCTIONS
@functions = ( 'wrap', 'unwrap', 'encrypt', 'decrypt', 'create_object');

# MODES
@wrap_modes = ( 'symmetric, sensitive / symmetric, sensitive', 'symmetric, sensitive / symmetric, nonsensitive', 'symmetric, nonsensitive / symmetric, sensitive', 'symmetric, nonsensitive / symmetric, nonsensitive', 'symmetric, sensitive / asymmetric, nonsensitive', 'symmetric, nonsensitive / asymmetric, nonsensitive', 'asymmetric, sensitive / symmetric, sensitive', 'asymmetric, sensitive / symmetric, nonsensitive', 'asymmetric, nonsensitive / symmetric, sensitive', 'asymmetric, nonsensitive / symmetric, nonsensitive');
@unwrap_modes = ( 'symmetric, sensitive / symmetric, sensitive', 'symmetric, nonsensitive / symmetric, sensitive', 'symmetric, sensitive / symmetric, nonsensitive', 'symmetric, nonsensitive / symmetric, nonsensitive', 'symmetric, sensitive / asymmetric, sensitive', 'symmetric, nonsensitive / asymmetric, sensitive', 'symmetric, sensitive / asymmetric, nonsensitive', 'symmetric, nonsensitive / asymmetric, nonsensitive');
@encrypt_modes = ( 'symmetric, sensitive', 'symmetric, nonsensitive', 'asymmetric, sensitive', 'asymmetric, nonsensitive');
@decrypt_modes = ( 'symmetric,sensitive', 'symmetric,nonsensitive', 'asymmetric,sensitive', 'asymmetric,nonsensitive');

# ATTRIBUTES
@attributes = ( 'sensitive', 'extract', 'always_sensitive', 'never_extract', 'wrap', 'unwrap', 'encrypt', 'decrypt');

# ALWAYS ON / OFF ATTRIBUTES
@always_on_asymmetric = ( );
@always_off_asymmetric = ( );
@always_on_symmetric = ( );
@always_off_symmetric = ( );

# SICKY ON / OFF ATTRIBUTES
@sticky_on_asymmetric = ( 'sensitive');
@sticky_off_asymmetric = ( 'extract');
@sticky_on_symmetric = ( 'sensitive');
@sticky_off_symmetric = ( 'extract');

# CONFLICTS ATTRIBUTES
@conflict_symmetric = ( );
@conflict_asymmetric = ( );

# TIED ATTRIBUTES
@tied_symmetric = ( 'sensitive,always_sensitive');
@tied_asymmetric = ( 'sensitive,always_sensitive');

# FLAGS
$sensitive_prevents_read =  1;
$unextractable_prevents_read =  0;

