# Experiment time: 06:04:2010 - 13:22:25

# Manufacturer ID: Feitian Technologies Co., Ltd.  
# Library Description: EnterSafe PKCS#11 Library.      
# Cryptoki Version: 2.20
# Library Version: 1.20



# KEY TYPES
$supports_symmetric_keys =  1;
$supports_asymmetric_keys =  1;

# FUNCTIONS
@functions = ( 'wrap', 'unwrap', 'encrypt', 'decrypt', 'create_object');

# MODES
@wrap_modes = ( 'symmetric, sensitive / asymmetric, nonsensitive', 'symmetric, nonsensitive / asymmetric, nonsensitive');
@unwrap_modes = ( 'symmetric, sensitive / asymmetric, sensitive', 'symmetric, nonsensitive / asymmetric, sensitive', 'symmetric, sensitive / asymmetric, nonsensitive', 'symmetric, nonsensitive / asymmetric, nonsensitive');
@encrypt_modes = ( 'symmetric, sensitive', 'symmetric, nonsensitive', 'asymmetric, sensitive', 'asymmetric, nonsensitive');
@decrypt_modes = ( 'symmetric,sensitive', 'symmetric,nonsensitive', 'asymmetric,sensitive', 'asymmetric,nonsensitive');

# ATTRIBUTES
@attributes = ( 'sensitive', 'extract', 'always_sensitive', 'never_extract', 'wrap', 'unwrap', 'encrypt', 'decrypt');

# ALWAYS ON / OFF ATTRIBUTES
@always_on_asymmetric = ( );
@always_off_asymmetric = ( );
@always_on_symmetric = ( );
@always_off_symmetric = ( );

# SICKY ON / OFF ATTRIBUTES
@sticky_on_asymmetric = ( );
@sticky_off_asymmetric = ( );
@sticky_on_symmetric = ( );
@sticky_off_symmetric = ( );

# CONFLICTS ATTRIBUTES
@conflict_symmetric = ( );
@conflict_asymmetric = ( );

# TIED ATTRIBUTES
@tied_symmetric = ( );
@tied_asymmetric = ( );

# FLAGS
$sensitive_prevents_read =  0;
$unextractable_prevents_read =  0;

