# Experiment time: 07:04:2010 - 12:24:33

# Manufacturer ID: Memory Experts International    
# Library Description: Secure Storage Device Token     
# Cryptoki Version: 2.20
# Library Version: 0.01



# KEY TYPES
$supports_symmetric_keys =  1;
$supports_asymmetric_keys =  1;

# FUNCTIONS
@functions = ( 'encrypt', 'decrypt', 'create_object');

# MODES
@wrap_modes = ( );
@unwrap_modes = ( );
@encrypt_modes = ( 'symmetric, sensitive', 'symmetric, nonsensitive');
@decrypt_modes = ( );

# ATTRIBUTES
@attributes = ( 'sensitive', 'extract', 'always_sensitive', 'never_extract', 'wrap', 'unwrap', 'encrypt', 'decrypt');

# ALWAYS ON / OFF ATTRIBUTES
@always_on_asymmetric = ( 'always_sensitive', 'never_extract');
@always_off_asymmetric = ( 'extract');
@always_on_symmetric = ( 'always_sensitive', 'never_extract');
@always_off_symmetric = ( );

# SICKY ON / OFF ATTRIBUTES
@sticky_on_asymmetric = ( 'encrypt', 'wrap', 'sensitive', 'always_sensitive', 'never_extract', 'unwrap');
@sticky_off_asymmetric = ( 'encrypt', 'wrap', 'sensitive', 'extract', 'always_sensitive', 'never_extract', 'unwrap');
@sticky_on_symmetric = ( 'sensitive', 'extract', 'always_sensitive', 'never_extract');
@sticky_off_symmetric = ( 'sensitive', 'extract', 'always_sensitive', 'never_extract');

# CONFLICTS ATTRIBUTES
@conflict_symmetric = ( );
@conflict_asymmetric = ( 'extract,always_sensitive', 'extract,never_extract', 'extract,wrap', 'extract,unwrap', 'extract,encrypt', 'extract,decrypt');

# TIED ATTRIBUTES
@tied_symmetric = ( 'sensitive,always_sensitive', 'extract,never_extract');
@tied_asymmetric = ( 'sensitive,always_sensitive');

# FLAGS
$sensitive_prevents_read =  1;
$unextractable_prevents_read =  1;

