# Experiment time: 20:04:2010 - 20:42:40

# Manufacturer ID: (C) Siemens AG (www.siemens.com)
# Library Description: CardOS API PKCS#11 Library      
# Cryptoki Version: 2.11
# Library Version: 2.12



# KEY TYPES
$supports_symmetric_keys =  1;
$supports_asymmetric_keys =  1;

# FUNCTIONS
@functions = ( 'wrap', 'unwrap', 'encrypt', 'decrypt', 'create_object');

# MODES
@wrap_modes = ( 'symmetric, nonsensitive / asymmetric, nonsensitive');
@unwrap_modes = ( 'symmetric, nonsensitive / asymmetric, sensitive');
@encrypt_modes = ( 'asymmetric, sensitive');
@decrypt_modes = ( 'asymmetric,sensitive');

# ATTRIBUTES
@attributes = ( 'sensitive', 'extract', 'wrap', 'unwrap', 'encrypt', 'decrypt');

# ALWAYS ON / OFF ATTRIBUTES
@always_on_asymmetric = ( 'sensitive');
@always_off_asymmetric = ( 'extract');
@always_on_symmetric = ( );
@always_off_symmetric = ( );

# SICKY ON / OFF ATTRIBUTES
@sticky_on_asymmetric = ( 'encrypt', 'wrap', 'sensitive', 'unwrap', 'decrypt');
@sticky_off_asymmetric = ( 'encrypt', 'wrap', 'extract', 'unwrap', 'decrypt');
@sticky_on_symmetric = ( 'sensitive', 'wrap', 'unwrap', 'encrypt', 'decrypt');
@sticky_off_symmetric = ( 'extract', 'wrap', 'unwrap', 'encrypt', 'decrypt');

# CONFLICTS ATTRIBUTES
@conflict_symmetric = ( );
@conflict_asymmetric = ( 'extract,wrap', 'extract,unwrap', 'extract,encrypt', 'extract,decrypt');

# TIED ATTRIBUTES
@tied_symmetric = ( 'encrypt,decrypt', 'decrypt,encrypt');
@tied_asymmetric = ( );

# FLAGS
$sensitive_prevents_read =  1;
$unextractable_prevents_read =  0;

