# Experiment time: 06:04:2010 - 13:10:06

# Manufacturer ID: Athena Smartcard Solutions      
# Library Description: ASE Cryptoki                    
# Cryptoki Version: 2.20
# Library Version: 3.01



# KEY TYPES
$supports_symmetric_keys =  1;
$supports_asymmetric_keys =  1;

# FUNCTIONS
@functions = ( 'encrypt', 'decrypt', 'create_object');

# MODES
@wrap_modes = ( );
@unwrap_modes = ( );
@encrypt_modes = ( 'symmetric, sensitive', 'symmetric, nonsensitive', 'asymmetric, sensitive', 'asymmetric, nonsensitive');
@decrypt_modes = ( 'symmetric,sensitive', 'symmetric,nonsensitive', 'asymmetric,sensitive', 'asymmetric,nonsensitive');

# ATTRIBUTES
@attributes = ( 'sensitive', 'extract', 'wrap', 'unwrap', 'encrypt', 'decrypt','always_sensitive','never_extract');

# ALWAYS ON / OFF ATTRIBUTES
@always_on_asymmetric = ( );
@always_off_asymmetric = ( );
@always_on_symmetric = ( );
@always_off_symmetric = ( );

# SICKY ON / OFF ATTRIBUTES
@sticky_on_asymmetric = ( 'encrypt', 'wrap', 'sensitive', 'unwrap', 'decrypt');
@sticky_off_asymmetric = ( 'encrypt', 'wrap', 'extract', 'unwrap', 'decrypt');
@sticky_on_symmetric = ( 'sensitive', 'wrap', 'unwrap', 'encrypt', 'decrypt');
@sticky_off_symmetric = ( 'extract', 'wrap', 'unwrap', 'encrypt', 'decrypt');

# CONFLICTS ATTRIBUTES
@conflict_symmetric = ( );
@conflict_asymmetric = ( );

# TIED ATTRIBUTES
@tied_symmetric = ( 'sensitive,always_sensitive', 'extract,never_extract');
@tied_asymmetric = ( 'sensitive,always_sensitive', 'extract,never_extract');

# FLAGS
$sensitive_prevents_read =  1;
$unextractable_prevents_read =  1;

