# Experiment time: 09:04:2010 - 17:03:47

# Manufacturer ID: Gemplus                         
# Library Description: PKCS#11 Cryptoki Multiplexer    
# Cryptoki Version: 2.01
# Library Version: 5.01



# KEY TYPES
$supports_symmetric_keys =  0;
$supports_asymmetric_keys =  1;

# FUNCTIONS
@functions = ( 'encrypt', 'decrypt');

# MODES
@wrap_modes = ( );
@unwrap_modes = ( );
@encrypt_modes = ( 'asymmetric, sensitive');
@decrypt_modes = ( 'asymmetric,sensitive');

# ATTRIBUTES
@attributes = ( 'sensitive', 'extract', 'wrap', 'unwrap', 'encrypt', 'decrypt');

# ALWAYS ON / OFF ATTRIBUTES
@always_on_asymmetric = ( 'sensitive');
@always_off_asymmetric = ( 'extract');
@always_on_symmetric = ( );
@always_off_symmetric = ( );

# SICKY ON / OFF ATTRIBUTES
@sticky_on_asymmetric = ( 'sensitive');
@sticky_off_asymmetric = ( 'encrypt', 'wrap', 'extract', 'unwrap', 'decrypt');
@sticky_on_symmetric = ( );
@sticky_off_symmetric = ( );

# CONFLICTS ATTRIBUTES
@conflict_symmetric = ( );
@conflict_asymmetric = ( 'extract,wrap', 'extract,unwrap', 'extract,encrypt', 'extract,decrypt');

# TIED ATTRIBUTES
@tied_symmetric = ( );
@tied_asymmetric = ( );

# FLAGS
$sensitive_prevents_read =  1;
$unextractable_prevents_read =  1;