# Experiment time: 08:04:2010 - 17:55:35

# Manufacturer ID: Gemplus                         
# Library Description: PKCS#11 Cryptoki Multiplexer    
# Cryptoki Version: 2.01
# Library Version: 5.01



# KEY TYPES
$supports_symmetric_keys =  1;
$supports_asymmetric_keys =  0;

# FUNCTIONS
@functions = ( 'wrap', 'unwrap', 'encrypt', 'decrypt', 'create_object');

# MODES
@wrap_modes = ( 'symmetric, sensitive / symmetric, sensitive', 'symmetric, sensitive / symmetric, nonsensitive', 'symmetric, nonsensitive / symmetric, sensitive', 'symmetric, nonsensitive / symmetric, nonsensitive');
@unwrap_modes = ( 'symmetric, sensitive / symmetric, sensitive', 'symmetric, nonsensitive / symmetric, sensitive', 'symmetric, sensitive / symmetric, nonsensitive', 'symmetric, nonsensitive / symmetric, nonsensitive');
@encrypt_modes = ( 'symmetric, sensitive', 'symmetric, nonsensitive');
@decrypt_modes = ( 'symmetric,sensitive', 'symmetric,nonsensitive');

# ATTRIBUTES
@attributes = ( 'sensitive', 'extract', 'wrap', 'unwrap', 'encrypt', 'decrypt');

# ALWAYS ON / OFF ATTRIBUTES
@always_on_asymmetric = ( );
@always_off_asymmetric = ( );
@always_on_symmetric = ( );
@always_off_symmetric = ( );

# SICKY ON / OFF ATTRIBUTES
@sticky_on_asymmetric = ( );
@sticky_off_asymmetric = ( );
@sticky_on_symmetric = ( );
@sticky_off_symmetric = ( );

# CONFLICTS ATTRIBUTES
@conflict_symmetric = ( );
@conflict_asymmetric = ( );

# TIED ATTRIBUTES
@tied_symmetric = ( );
@tied_asymmetric = ( );

# FLAGS
$sensitive_prevents_read =  0;
$unextractable_prevents_read =  0;

